using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace TakeoutSaaS.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class AddTenantVerificationSettlementChannels : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "AlipayPid",
                table: "tenant_verification_profiles",
                type: "character varying(64)",
                maxLength: 64,
                nullable: true,
                comment: "支付宝 PID。");

            migrationBuilder.AddColumn<string>(
                name: "WeChatMerchantNo",
                table: "tenant_verification_profiles",
                type: "character varying(64)",
                maxLength: 64,
                nullable: true,
                comment: "微信商户号。");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "AlipayPid",
                table: "tenant_verification_profiles");

            migrationBuilder.DropColumn(
                name: "WeChatMerchantNo",
                table: "tenant_verification_profiles");
        }
    }
}
